import { Component, Listen, h, State, Build, } from "@stencil/core";
export class AppExhaustList {
  onSearchInput(event) {
    this.query = event.target.value;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" },
        h("floodteam-title-bar", null,
          h("ion-router-link", { href: "/exhausts" }, "Exhaust Readings"),
          h("ion-buttons", { slot: "end" },
            h("ion-button", { fill: "solid", color: "primary", href: "/exhausts/new" }, "Add"))),
        h("div", { class: "ion-padding" },
          h("fireenjin-search-bar", { ref: (el) => (this.filterBarEl = el), paginationEl: this.paginationEl, filters: null })),
        h("fireenjin-pagination", { ref: (el) => (this.paginationEl = el), gridEl: ({ result }) => (h("floodteam-snapshot-card", { href: `/exhaust/${result.id}`, buttonText: "View Exhaust" },
            h("ion-label", null,
              h("h2", null, result.id ? result.id : "")))), listEl: ({ result }) => (h("ion-item", { href: `/exhaust/${result.id}`, detail: true },
            h("ion-label", null,
              h("h2", null, result.id ? result.id : "")))), endpoint: "listExhausts", limit: 20, resultsKey: "exhausts", query: this.query, name: "exhausts" })),
      h("floodteam-navigation-footer", null),
    ];
  }
  static get is() { return "app-exhaust-list"; }
  static get originalStyleUrls() { return {
    "$": ["app-exhaust-list.css"]
  }; }
  static get styleUrls() { return {
    "$": ["app-exhaust-list.css"]
  }; }
  static get states() { return {
    "paginationEl": {},
    "query": {}
  }; }
  static get listeners() { return [{
      "name": "ionInput",
      "method": "onSearchInput",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
